@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import "variables.css"; /* autorek css variables */

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1, h2, h3, h4, h5, h6 {
    padding: 0px;
    margin-top: 16px;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

div .buttonwrap {
    width: 250px;
    margin: 0px auto;
}

/*Start Header*/
#header-content {
    float: left;
    margin-left: 20px;
    width: 100%;
}

.table-header-content {
    float: left;
    width: 100%;
}

.top-row {
    height: 60px;
    display: flex;
    align-items: center;
    border-bottom: 2px solid var(--autorek-dark-border-color);
}

.px-4 {
    padding: 0px !important;
}

.modal-content {
    border-radius: 5px !important;
    border: 0px !important;
}

.modal-header {
    height: 50px;
    background-color: var(--autorek-primary-color);
    border-bottom: 2px solid var(--autorek-dark-border-color);
    color: #fff;
    align-items: center;
}

.modal-title {
    margin-top: unset;
    white-space: nowrap;
    width: 500px;
    overflow: hidden;
    text-overflow: ellipsis;
}

#page-title {
    width: 60%;
    float: left;
}

.table-title {
    width: 60%;
    float: left;
    margin-top: 6px;
}

.modal-display {
    display: block;
}

#buttons {
    float: right;
    margin: 20px;
    min-height: 25px;
    min-width: 200px;
    display: inline-block;
}

    #buttons > button {
        margin-left: 10px;
    }

/*End Header*/

.main {
    flex: 1;
}

    .main .top-row {
        background-color: var(--autorek-primary-color);
        border-bottom: 2px solid var(--autorek-dark-border-color);
        justify-content: flex-end;
        color: #fff;
    }

        .main .top-row > a {
            margin-left: 1.5rem;
        }

.sidebar {
    background-color: rgba(var(--autorek-primary-rgb), 0.85);
}

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .top-row {
        background-color: var(--autorek-primary-color);
        padding: 10px !important;
    }

.oi {
    height: 14px;
    width: 14px;
}

#branding-image {
    width: 180px;
}

.branding-title {
    width: 100%;
    text-align: center;
    color: #fff;
}

.nav-item {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type {
        padding-top: 1rem;
    }

    .nav-item:last-of-type {
        padding-bottom: 1rem;
    }

    .nav-item a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

        .nav-item a.active {
            background-color: var(--autorek-secondary-color);
            color: black;
        }

        .nav-item a:hover {
            background-color: var(--autorek-secondary-color);
            color: black;
        }

.content {
    padding-top: 1.1rem;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.information-message {
    color: blue;
    font-size: small;
}

.success-message {
    color: green;
    font-size: small;
}

.success-message-large {
    color: green;
    font-size: large;
}

.modal {
    background-color: rgba(0,0,0,0.5);
}

.sidebar {
    width: 200px;
    min-width: 200px;
    height: 100vh;
    /*position: sticky;
        top: 0;*/
}

app {
    flex-direction: row;
}

.sidebar .collapse {
    /* Never collapse the sidebar for wide screens */
    display: block;
}

/*@media (max-width: 767.98px) {
    .main .top-row {
        display: none;
    }
}*/

@media (min-width: 768px) {
    /*app {
        flex-direction: row;
    }

    .sidebar {
		width:200px;
        min-width: 200px;
        border-right: 2px solid #E87722;
        height: 100vh;
        /*position: sticky;
        top: 0;*/
    /* }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    /* .main > div {
        padding-right: 1.5rem !important;
    }*/

    /*.navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
    /* display: block;
    }

    .InputTextHeigth {
        height: 30px;
    }*/
}

.spinner {
    border: 16px solid var(--autorek-primary-color);
    border-top: 16px solid var(--autorek-secondary-color);
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 700ms linear infinite;
    position: absolute;
    top: 49%;
    left: 48%;
}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    color: white;
    width: 50px;
    height: 17px;
}

    .switch.large {
        position: relative;
        display: inline-block;
        color: white;
        width: 90px;
        height: 20px;
    }
    /* Hide default HTML checkbox */
    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
    padding-left: 18px;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 13px;
        width: 13px;
        left: 2px;
        bottom: 2px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

    .slider.large {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: green;
        -webkit-transition: .4s;
        transition: .4s;
        padding-left: 20px;
    }

        .slider.large:before {
            position: absolute;
            content: "";
            height: 16px;
            width: 16px;
            left: 2px;
            bottom: 2px;
            background-color: white;
            -webkit-transition: .4s;
            transition: .4s;
        }

input:checked + .slider {
    background-color: var(--autorek-primary-color);
    padding-left: 12px;
}

    input:checked + .slider.large {
        background-color: red;
        padding-left: 12px;
    }

input:focus + .slider {
    box-shadow: 0 0 1px var(--autorek-primary-color);
}

input:checked + .slider:before {
    -webkit-transform: translateX(32px);
    -ms-transform: translateX(32px);
    transform: translateX(32px);
}

input:checked + .slider.large:before {
    -webkit-transform: translateX(70px);
    -ms-transform: translateX(70px);
    transform: translateX(70px);
}
/* Rounded sliders */
.slider.round {
    border-radius: 17px;
}

    .slider.round:before {
        border-radius: 50%;
    }

.linkedHeader {
    text-align: center;
    margin-top: 5px;
    background-color: #f4f4f4
}

.LEGrid, .BreachGrid, .RPGrid {
    height: 90vh !important;
}

.ApplicabilityGrid, .RuleGrid, .RiskGrid, .ControlGrid {
    height: 87vh !important;
}

    .LEGrid col:first-child, .ApplicabilityGrid col:first-child, .ApplicabilityGrid col:last-child,
    .RuleGrid col:last-child, .BreachGrid col:last-child, .ControlGrid col:last-child,
    .RiskGrid col:last-child, .MapLERiskGrid col:first-child, .MapControlGrid col:first-child, .RPGrid col:last-child {
        width: 50px !important;
    }

    .RuleGrid td:last-child, .BreachGrid td:last-child, .ControlGrid td:last-child, .RiskGrid td:last-child, .RPGrid td:last-child {
        text-overflow: unset;
    }

.LEGrid col:last-child {
    width: 260px !important
}